Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.blog.database
Class DatabaseUser

    java.lang.Object
      org.blojsom.blog.database.DatabaseUser

All Implemented Interfaces:
  java.io.Serializable, User

public class DatabaseUser
extends java.lang.Object
implements User, java.io.Serializable

DatabaseUser

Since:
  blojsom 3.0
Version:
  $Id: DatabaseUser.java,v 1.4 2006/05/13 14:09:56 czarneckid Exp $
Author:
  David Czarnecki
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `_blogId`
`protected java.lang.Integer` | `_id`
`protected java.util.Map` | `_metaData`
`protected java.lang.String` | `_userEmail`
`protected java.lang.String` | `_userLogin`
`protected java.lang.String` | `_userName`
`protected java.lang.String` | `_userPassword`
`protected java.util.Date` | `_userRegistered`
`protected java.lang.String` | `_userStatus`

Constructor Summary
`DatabaseUser()` Create a new instance of the database user

Method Summary
`java.lang.String` | `getBlogId()` Get the blog ID
`java.lang.Integer` | `getId()` Get the user ID
`java.util.Map` | `getMetaData()` Get the meta-data
`java.lang.String` | `getUserEmail()` Get the user e-mail
`java.lang.String` | `getUserLogin()` Get the user login
`java.lang.String` | `getUserName()` Get the user name
`java.lang.String` | `getUserPassword()` Get the password
`java.util.Date` | `getUserRegistered()` Get the user registered date
`java.lang.String` | `getUserStatus()` Get the user status
`void` | `setBlogId(java.lang.String blogId)` Set the blog ID
`void` | `setId(java.lang.Integer id)` Set the user ID
`void` | `setMetaData(java.util.Map metaData)` Set the meta-data
`void` | `setUserEmail(java.lang.String userEmail)` Set the user e-mail
`void` | `setUserLogin(java.lang.String userLogin)` Set the user login
`void` | `setUserName(java.lang.String userName)` Set the user name
`void` | `setUserPassword(java.lang.String userPassword)` Set the password
`void` | `setUserRegistered(java.util.Date userRegistered)` Set the user registered date
`void` | `setUserStatus(java.lang.String userStatus)` Set the user status

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _id

    protected java.lang.Integer _id

### _blogId

    protected java.lang.String _blogId

### _userLogin

    protected java.lang.String _userLogin

### _userPassword

    protected java.lang.String _userPassword

### _userName

    protected java.lang.String _userName

### _userEmail

    protected java.lang.String _userEmail

### _userStatus

    protected java.lang.String _userStatus

### _userRegistered

    protected java.util.Date _userRegistered

### _metaData

    protected java.util.Map _metaData

Constructor Detail

### DatabaseUser

    public DatabaseUser()

  Create a new instance of the database user

Method Detail

### getId

    public java.lang.Integer getId()

  Get the user ID

  Specified by:
    `getId` in interface `User`
  Returns:
    User ID

### setId

    public void setId(java.lang.Integer id)

  Set the user ID

  Specified by:
    `setId` in interface `User`
  Parameters:
    `id` - User ID

### getBlogId

    public java.lang.String getBlogId()

  Get the blog ID

  Specified by:
    `getBlogId` in interface `User`
  Returns:
    Blog ID

### setBlogId

    public void setBlogId(java.lang.String blogId)

  Set the blog ID

  Specified by:
    `setBlogId` in interface `User`
  Parameters:
    `blogId` - Blog ID

### getUserLogin

    public java.lang.String getUserLogin()

  Get the user login

  Specified by:
    `getUserLogin` in interface `User`
  Returns:
    User login

### setUserLogin

    public void setUserLogin(java.lang.String userLogin)

  Set the user login

  Specified by:
    `setUserLogin` in interface `User`
  Parameters:
    `userLogin` - User login

### getUserPassword

    public java.lang.String getUserPassword()

  Get the password

  Specified by:
    `getUserPassword` in interface `User`
  Returns:
    Password

### setUserPassword

    public void setUserPassword(java.lang.String userPassword)

  Set the password

  Specified by:
    `setUserPassword` in interface `User`
  Parameters:
    `userPassword` - Password

### getUserName

    public java.lang.String getUserName()

  Get the user name

  Specified by:
    `getUserName` in interface `User`
  Returns:
    User name

### setUserName

    public void setUserName(java.lang.String userName)

  Set the user name

  Specified by:
    `setUserName` in interface `User`
  Parameters:
    `userName` - User name

### getUserEmail

    public java.lang.String getUserEmail()

  Get the user e-mail

  Specified by:
    `getUserEmail` in interface `User`
  Returns:
    User e-mail

### setUserEmail

    public void setUserEmail(java.lang.String userEmail)

  Set the user e-mail

  Specified by:
    `setUserEmail` in interface `User`
  Parameters:
    `userEmail` - User e-mail

### getUserRegistered

    public java.util.Date getUserRegistered()

  Get the user registered date

  Specified by:
    `getUserRegistered` in interface `User`
  Returns:
    User registered date

### setUserRegistered

    public void setUserRegistered(java.util.Date userRegistered)

  Set the user registered date

  Specified by:
    `setUserRegistered` in interface `User`
  Parameters:
    `userRegistered` - User registered date

### getUserStatus

    public java.lang.String getUserStatus()

  Get the user status

  Specified by:
    `getUserStatus` in interface `User`
  Returns:
    User status

### setUserStatus

    public void setUserStatus(java.lang.String userStatus)

  Set the user status

  Specified by:
    `setUserStatus` in interface `User`
  Parameters:
    `userStatus` - User status

### getMetaData

    public java.util.Map getMetaData()

  Get the meta-data

  Specified by:
    `getMetaData` in interface `User`
  Returns:
    Meta-data

### setMetaData

    public void setMetaData(java.util.Map metaData)

  Set the meta-data

  Specified by:
    `setMetaData` in interface `User`
  Parameters:
    `metaData` - Meta-data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD